<div class="page-content">
  <nav aria-label="breadcrumb">
    <div class="row">
      <div class="col-md-2">
        <ol class="breadcrumb">
          <li class="breadcrumb-item d-inline"><a href="/cars">Car</a></li>
          <li class="breadcrumb-item active d-inline" aria-current="page">
            <%- title %>
          </li>
        </ol>
      </div>
      <% if (msg.length !== 0) { %> <% if (msg == "Data Berhasil Dihapus") { %>
      <div class="col-md-8 text-center">
        <div class="card bg-dark text-white">
          <div class="card-body"><%= msg %></div>
        </div>
      </div>
      <% } %> <% if (msg == "Data Berhasil Diupdate") { %>
      <div class="col-md-8 text-center">
        <div class="card bg-primary text-white">
          <div class="card-body"><%= msg %></div>
        </div>
      </div>
      <% } %> <% if (msg == "Data Berhasil Disimpan") { %>
      <div class="col-md-8 text-center">
        <div class="card bg-success text-white">
          <div class="card-body"><%= msg %></div>
        </div>
      </div>
      <% } %> <% } %>
    </div>
  </nav>
  <div class="d-flex w-100 align-items-center justify-content-between mb-4">
    <h1 class="page-title m-0"><%- title %></h1>
    <a class="btn btn-primary" href="/cars/create-car"
      ><i data-feather="plus"></i> Add New Car</a
    >
  </div>
  <div class="d-flex tab-category mb-4">
    <a
      class="<%= isActive !== '/cars/search?car_size=small' && isActive !== '/cars/search?car_size=medium' && isActive !== '/cars/search?car_size=large' ? 'active' : '' %> btn btn-outline-primary"
      href="/cars"
      >All</a
    >
    <a
      class="<%= isActive === '/cars/search?car_size=small' ? 'active' : '' %> btn btn-outline-primary"
      href="/cars/search?car_size=small"
      >Small</a
    >
    <a
      class="<%= isActive === '/cars/search?car_size=medium' ? 'active' : '' %> btn btn-outline-primary"
      href="/cars/search?car_size=medium"
      >Medium</a
    >
    <a
      class="<%= isActive === '/cars/search?car_size=large' ? 'active' : '' %> btn btn-outline-primary"
      href="/cars/search?car_size=large"
      >Large</a
    >
  </div>
  <div class="row">
    <% cars.forEach(car => { %>
    <div
      class="modal modal-delete fade"
      id="modalDelete<%=car.id%>"
      tabindex="-1"
      aria-labelledby="modalDeleteLabel"
      aria-hidden="true"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <img src="/images/modal_img.png" alt="" />
            <h4>Menghapus Data Mobil</h4>
            <p>
              Setelah dihapus, data mobil tidak dapat dikembalikan. Yakin ingin
              menghapus?
            </p>
            <div class="modal-action d-inline text-center">
              <form
                method="POST"
                action="/cars/delete/<%= car.id %>?_method=DELETE"
              >
                <button type="submit" class="btn btn-primary mr-3">Ya</button>
                <button
                  type="cancel"
                  class="btn btn-outline-primary d-inline"
                  data-dismiss="modal"
                >
                  Tidak
                </button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-4">
      <div class="card car-card">
        <div class="card-body">
          <img
            class="img-fluid w-100 mb-3 card-image"
            src="<%= car.car_photo %>"
            alt="Car"
            style="height: 150px; object-fit: cover"
          />
          <span class="type mb-2"
            ><%= car.car_name %> / <%= car.car_size %></span
          >
          <span class="price mb-3"
            >Rp <%= toRupiah(car.car_price, {symbol: null,floatingPoint: 0}) %>
            / hari</span
          >
          <span class="updatedAt mb-4"
            ><i data-feather="clock"></i>Updated at <%=
            moment(car.updatedAt).format('DD MMM YYYY, hh.mm') %></span
          >

          <div
            class="d-flex card-action justify-content-between align-items-end"
          >
            <a
              class="btn btn-outline-danger mr-3"
              data-toggle="modal"
              href="#modalDelete<%=car.id%>"
            >
              <i data-feather="trash"></i> Delete</a
            >
            <a class="btn btn-success" href="/cars/edit/<%= car.id %>"
              ><i data-feather="edit"></i> Edit</a
            >
          </div>
        </div>
      </div>
    </div>

    <% }) %>
  </div>
</div>
